
TrailerSoundRegister = {};
TrailerSoundRegister.isLoaded = true;
TrailerSoundRegister.g_currentModDirectory = g_currentModDirectory;

if SpecializationUtil.specializations["TrailerSound"] == nil then
	SpecializationUtil.registerSpecialization("TrailerSound", "TrailerSound", g_currentModDirectory.."TrailerSound.lua")
	TrailerSoundRegister.isLoaded = false;
end;

function TrailerSoundRegister:loadMap(name)	
  if not TrailerSoundRegister.isLoaded then	
		TrailerSoundRegister:add();
    TrailerSoundRegister.isLoaded = true;
  end;
end;

function TrailerSoundRegister:deleteMap()
end;

function TrailerSoundRegister:mouseEvent(posX, posY, isDown, isUp, button)
end;

function TrailerSoundRegister:keyEvent(unicode, sym, modifier, isDown)
end;

function TrailerSoundRegister:update(dt)
end;

function TrailerSoundRegister:draw()
end;

function TrailerSoundRegister:add()
	for k, v in pairs(VehicleTypeUtil.vehicleTypes) do
		local correctLocation     = false;
		for i = 1, table.maxn(v.specializations) do
			local vs = v.specializations[i];
			if      vs ~= nil 
					and vs == SpecializationUtil.getSpecialization("steerable") then
				correctLocation = true;
				break;
			end;
		end;
		
		if correctLocation then
			table.insert(v.specializations, SpecializationUtil.getSpecialization("TrailerSound"));
		end;
	end;	
end;

addModEventListener(TrailerSoundRegister);
